Show / Hide Table of Contents

# Class RestApplication

Represents a REST-based entity that contains information about a Discord application created via the developer portal.

##### Inheritance

System.Object
RestEntity<System.UInt64>
RestApplication

##### Implements

IApplication
ISnowflakeEntity
IEntity<System.UInt64>

##### Inherited Members

RestEntity<UInt64>.Id
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class RestApplication : RestEntity<ulong>, IApplication, ISnowflakeEntity, IEntity<ulong>

### Fields

| Improve this Doc View Source

#### _iconId

##### Declaration

    protected string _iconId

##### Field Value

Type | Description
--- | ---
System.String |

### Properties

| Improve this Doc View Source

#### CreatedAt

Gets when the snowflake was created.

##### Declaration

    public DateTimeOffset CreatedAt { get; }

##### Property Value

Type | Description
--- | ---
System.DateTimeOffset | A System.DateTimeOffset representing when the entity was first created.

| Improve this Doc View Source

#### Description

Gets the description of the application.

##### Declaration

    public string Description { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Flags

##### Declaration

    public ulong Flags { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### IconUrl

Gets the icon URL of the application.

##### Declaration

    public string IconUrl { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Name

Gets the name of the application.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Owner

Gets the partial user object containing info on the owner of the application.

##### Declaration

    public IUser Owner { get; }

##### Property Value

Type | Description
--- | ---
IUser |

| Improve this Doc View Source

#### RPCOrigins

Gets the RPC origins of the application.

##### Declaration

    public string[] RPCOrigins { get; }

##### Property Value

Type | Description
--- | ---
System.String[] |

### Methods

| Improve this Doc View Source

#### ToString()

Gets the name of the application.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String | Name of the application.

##### Overrides

System.Object.ToString()
| Improve this Doc View Source

#### UpdateAsync()

##### Declaration

    public Task UpdateAsync()

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

##### Exceptions

Type | Condition
--- | ---
System.InvalidOperationException | Unable to update this object from a different application token.

### Implements

IApplication
ISnowflakeEntity
IEntity<TId>